# Backup script

[![Build status](https://build.jcktrue.dk/api/badges/jct/backupscript/status.svg)](https://build.jcktrue.dk/jct/backupscript)

Backup script utilizing Rclone to backup local file systems and send notifications.

# Minimum requirements
- PHP8.2
- Composer to install required packages.
- Rclone installed

# Rclone install
rm rclone-current-linux-amd64.deb
wget https://downloads.rclone.org/rclone-current-linux-amd64.deb
sudo dpkg -i rclone-current-linux-amd64.deb

# For development

# PHP latest for debian
curl -sSL https://packages.sury.org/php/README.txt | sudo bash -x
sudo apt update
sudo apt upgrade
sudo apt install php8.2-cli php8.2-xml php8.2-curl php8.2-zip php8.2-xdebug php8.2-mbstring unzip wget graphviz plantuml

# PHP Docs
rm phpDocumentor.phar
wget https://phpdoc.org/phpDocumentor.phar
chmod +x phpDocumentor.phar



# Infection install
rm infection.phar
wget https://github.com/infection/infection/releases/download/0.27.8/infection.phar
chmod +x infection.phar

# PHP CopyPasteDetector install
rm phpcpd.phar
wget https://phar.phpunit.de/phpcpd.phar
chmod +x phpcpd.phar

# Test, analyze, metrics, document
./composer.phar test-full && ./composer.phar analyze && ./composer.phar metrics && ./composer.phar doc


